Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.management
Class PortletDiscoveryService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.core.management.PortletDiscoveryService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class PortletDiscoveryService

extends org.jboss.system.ServiceMBeanSupport

Field Summary
`static java.lang.String` | `LOCAL_JMX_PREFIX`
`static java.lang.String` | `WSRP_JMX_PREFIX`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PortletDiscoveryService()`

Method Summary
`FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`void` | `processPortletDiscovery()`
`void` | `setFederatingPortletInvoker(FederatingPortletInvoker federatingPortletInvoker)`
`void` | `setInterceptor(PortletContainerManagementInterceptor interceptor)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSRP_JMX_PREFIX

    public static final java.lang.String WSRP_JMX_PREFIX

See Also:
  Constant Field Values

### LOCAL_JMX_PREFIX

    public static final java.lang.String LOCAL_JMX_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### PortletDiscoveryService

    public PortletDiscoveryService()

Method Detail

### start

    public void start()

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Overrides:
    `start` in class `org.jboss.system.ServiceMBeanSupport`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.jboss.system.Service`
  Overrides:
    `stop` in class `org.jboss.system.ServiceMBeanSupport`

### getFederatingPortletInvoker

    public FederatingPortletInvoker getFederatingPortletInvoker()

### setFederatingPortletInvoker

    public void setFederatingPortletInvoker(FederatingPortletInvoker federatingPortletInvoker)

### setInterceptor

    public void setInterceptor(PortletContainerManagementInterceptor interceptor)

### processPortletDiscovery

    public void processPortletDiscovery()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD